Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class RangeExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.RangeExpression

    public class RangeExpression
    extends Expression

Represents a range expression such as for iterating. E.g.:

    for i in 0..10 {...}

Authors:
  James Strachan

Version:
  \$Revision: 15194 \$

Constructor Summary
`RangeExpression(Expression from, Expression to, boolean inclusive)`

Method Summary
`Expression` | `getFrom()`
`String` | `getText()`
`Expression` | `getTo()`
`boolean` | `isInclusive()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### RangeExpression

    public RangeExpression(Expression from, Expression to, boolean inclusive)

Method Detail

### getFrom

    public Expression getFrom()

### getText

    public String getText()

### getTo

    public Expression getTo()

### isInclusive

    public boolean isInclusive()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.